POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| is_supervisor | boolean |
Required |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "66518e76-c9a2-4e48-92eb-48e33f9a3641"
},
{
"code": "sample string 1",
"id": "66518e76-c9a2-4e48-92eb-48e33f9a3641"
}
],
"isFromWpf": true,
"sites": [
{
"id": "ddf178ef-8dfc-4ed7-89f0-5c406cc90f69",
"customer_id": "0d460ed3-3626-4a1e-9782-2ac59f4aaec9",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "45568253-4448-4191-85e1-e166a4a50253"
},
{
"id": "ddf178ef-8dfc-4ed7-89f0-5c406cc90f69",
"customer_id": "0d460ed3-3626-4a1e-9782-2ac59f4aaec9",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "45568253-4448-4191-85e1-e166a4a50253"
}
],
"locks": [
{
"id": "959de268-b7eb-47a1-a034-e450176fb573",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "846cec5f-8586-47d3-a70e-c7806e91caf8",
"guard_id": "958683f0-c4bb-4531-afe1-eaa68f3e6bc0",
"active": true
},
{
"id": "959de268-b7eb-47a1-a034-e450176fb573",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "846cec5f-8586-47d3-a70e-c7806e91caf8",
"guard_id": "958683f0-c4bb-4531-afe1-eaa68f3e6bc0",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "426c819f-0cdc-423b-8c0c-60c1a3cac27a",
"firstname": "sample string 11",
"id": "69b30f27-b31a-45ab-ae3f-5b0ed505c233",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-10-04T08:00:43.2324978+00:00",
"role_id": "41bf2d93-45b5-49f4-88df-2a422d8eafa0"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>426c819f-0cdc-423b-8c0c-60c1a3cac27a</customer_id>
<firstname>sample string 11</firstname>
<id>69b30f27-b31a-45ab-ae3f-5b0ed505c233</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>41bf2d93-45b5-49f4-88df-2a422d8eafa0</role_id>
<webapp_password_last_update>2026-10-04T08:00:43.2324978+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>846cec5f-8586-47d3-a70e-c7806e91caf8</distribution_id>
<guard_id>958683f0-c4bb-4531-afe1-eaa68f3e6bc0</guard_id>
<id>959de268-b7eb-47a1-a034-e450176fb573</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>846cec5f-8586-47d3-a70e-c7806e91caf8</distribution_id>
<guard_id>958683f0-c4bb-4531-afe1-eaa68f3e6bc0</guard_id>
<id>959de268-b7eb-47a1-a034-e450176fb573</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>66518e76-c9a2-4e48-92eb-48e33f9a3641</ID>
<code>sample string 1</code>
</right>
<right>
<ID>66518e76-c9a2-4e48-92eb-48e33f9a3641</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>0d460ed3-3626-4a1e-9782-2ac59f4aaec9</customer_id>
<id>ddf178ef-8dfc-4ed7-89f0-5c406cc90f69</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>45568253-4448-4191-85e1-e166a4a50253</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>0d460ed3-3626-4a1e-9782-2ac59f4aaec9</customer_id>
<id>ddf178ef-8dfc-4ed7-89f0-5c406cc90f69</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>45568253-4448-4191-85e1-e166a4a50253</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"935a7def-a35e-467a-ad04-897ddd222cef"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">935a7def-a35e-467a-ad04-897ddd222cef</guid>